<?php

namespace SuperRhino\Utils;

use SuperRhino\Utils\Cache\DriverCacheAdapterInterface;

/**
 * @method static mixed get(string $key, mixed $default = null)
 * @method static mixed getCallback($key, callable $callback, $ttl = null, ?float $beta = null)
 * @method static bool set(string $key, mixed $value, \DateTimeInterface|\DateInterval|int $ttl = null)
 * @method static bool delete(string $key)
 * @method static bool clear()
 * @method static iterable getMultiple(iterable $keys, mixed $default = null)
 * @method static bool setMultiple(iterable $values, null|int|\DateInterval $ttl = null)
 * @method static bool deleteMultiple(iterable $keys)
 * @method static bool has(string $key)
 * @method static array fetch(string $key, null|mixed $default = null)
 * @method static bool clearPrefix(string $prefix)
 * @method static bool addKey(string $collector, string $key)
 * @method static array keys(string $collector)
 * @method static bool delKey(string $collector, ...$key)
 *
 * @see CacheAdapterInterface
 */
class Cache extends Facade {

    protected static function getFacadeAccessor() {
        return DriverCacheAdapterInterface::class;
    }
}